## ros-lunar-catch-ros 0.3.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(catch_ros)

find_package(catkin REQUIRED COMPONENTS
	roscpp
)

find_package(Boost REQUIRED COMPONENTS filesystem)

catkin_package(
	INCLUDE_DIRS include
	CFG_EXTRAS catch.cmake
)

include_directories(include ${catkin_INCLUDE_DIRS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_library(catch_ros_standalone
	src/standalone_main.cpp
)
target_link_libraries(catch_ros_standalone
	${Boost_LIBRARIES}
)

add_library(catch_ros_rostest
	src/rostest_main.cpp
)
target_link_libraries(catch_ros_rostest
	${Boost_LIBRARIES}
)

install(FILES src/meta_info.cpp DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(TARGETS catch_ros_standalone catch_ros_rostest
	LIBRARY DESTINATION ${CATKIN_GLOBAL_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-catch-ros (0.3.0-0stretch) stretch; urgency=high

  * cmake: catch_add_rostest() add new target as dependency of 'tests' target
    (issue: #8, PR: #9)
  * README.md: add CATCH_CONFIG_MAIN hint (issue: #7)
  * README: update link to the catch repo
  * updated catch to 2.4.2 (PR: #6)
  * ros_junit_reporter: fix warnings
  * Contributors: Max Schwarz, Mez Gebre

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 01 Jan 2019 23:00:00 -0000

ros-lunar-catch-ros (0.2.0-0stretch) stretch; urgency=high

  * adapt ROSReporter to Catch2
  * upgrade to Catch v2.2.2
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Mon, 07 May 2018 22:00:00 -0000

ros-lunar-catch-ros (0.1.2-0stretch) stretch; urgency=high

  * cmake: fix meta_info.cpp compilation for install space
  * rostest_main: include ROS node name in report
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Thu, 02 Nov 2017 23:00:00 -0000

ros-lunar-catch-ros (0.1.1-0stretch) stretch; urgency=high

  * actually install header files
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 25 Oct 2016 22:00:00 -0000

ros-lunar-catch-ros (0.1.0-0stretch) stretch; urgency=high

  * initial proper release
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 25 Oct 2016 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-catch-ros
Section: misc
Priority: extra
Maintainer: Max Schwarz <max.schwarz@ais.uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-catch-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-roscpp
Description: ROS integration for the Catch unit test framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-catch-ros//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
